/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package kalkulackaswitch;

import java.io.*;

/**
 *
 * @author Dana Nejedlová <dana.nejedlova at tul.cz>
 */
public class KalkulackaSwitch {

    public static PrintWriter soubor;

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        final String SOUBOR = "vystup.txt";
        final int KONEC = 0;
        final int POCET_FUNKCI_KALKULACKY = 7;
        int volba;
        FunkceKalkulacky vybranaFunkce;
        FunkceKalkulacky funkceScitani = new Scitani();
        FunkceKalkulacky funkceOdcitani = new Odcitani();
        FunkceKalkulacky funkceNasobeni = new Nasobeni();
        FunkceKalkulacky funkceDeleni = new Deleni();
        FunkceKalkulacky funkceMocnina = new Mocnina();
        FunkceKalkulacky funkceSinus = new Sinus();
        FunkceKalkulacky funkceCosinus = new Cosinus();
        try {
            soubor = new PrintWriter(new FileWriter(SOUBOR, true));
            do {
                System.out.println(KONEC + "\tKonec");
                System.out.println(1 + "\t" + funkceScitani.nazevFunkce);
                System.out.println(2 + "\t" + funkceOdcitani.nazevFunkce);
                System.out.println(3 + "\t" + funkceNasobeni.nazevFunkce);
                System.out.println(4 + "\t" + funkceDeleni.nazevFunkce);
                System.out.println(5 + "\t" + funkceMocnina.nazevFunkce);
                System.out.println(6 + "\t" + funkceSinus.nazevFunkce);
                System.out.println(7 + "\t" + funkceCosinus.nazevFunkce);
                volba = VstupyVystupy.zadejCeleCislo("Zadej číslo funkce: ");
                switch (volba) {
                    case KONEC:
                        System.out.println("Program skončil.");
                        System.out.println("Výpočty jsou v souboru " + SOUBOR + ".");
                        vybranaFunkce = null;
                        break;
                    case 1:
                        vybranaFunkce = funkceScitani;
                        break;
                    case 2:
                        vybranaFunkce = funkceOdcitani;
                        break;
                    case 3:
                        vybranaFunkce = funkceNasobeni;
                        break;
                    case 4:
                        vybranaFunkce = funkceDeleni;
                        break;
                    case 5:
                        vybranaFunkce = funkceMocnina;
                        break;
                    case 6:
                        vybranaFunkce = funkceSinus;
                        break;
                    case 7:
                        vybranaFunkce = funkceCosinus;
                        break;
                    default:
                        System.out.println("Zadej číslo mezi " + KONEC + " a " + POCET_FUNKCI_KALKULACKY + ":");
                        vybranaFunkce = null;
                        break;
                }
                if (vybranaFunkce instanceof FunkceKalkulacky) { // polymorfismus
                    vybranaFunkce.coJsem();
                    vybranaFunkce.vstup();
                    vybranaFunkce.vystup(vybranaFunkce.vypocet());
                }
            } while (volba != KONEC);
            soubor.close();
        } catch (IOException e) {
            System.out.println("Chyba v práci se souborem " + SOUBOR + ".");
        }
    }
}
